Upstream information

CVE-2007-1659 at MITRE

Description

Perl-Compatible Regular Expression (PCRE) library before 7.3 allows context-dependent attackers to cause a denial of service (crash) and possibly execute arbitrary code via regex patterns containing unmatched "\Q\E" sequences with orphan "\E" codes.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 6.8
Vector AV:N/AC:M/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
SUSE Bugzilla entries: 325921 [RESOLVED / FIXED], 649333 [RESOLVED / FIXED], 649689 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
Novell Linux Desktop 9 for x86
Open Enterprise Server
  • pcre >= 4.4-109.12
  • pcre-devel >= 4.4-109.12
Builds
YOU Patch Nr: 11998
Novell Linux Desktop 9 for x86_64
  • pcre >= 4.4-109.12
  • pcre-32bit >= 9-200711270035
  • pcre-devel >= 4.4-109.12
Builds
YOU Patch Nr: 11998
Novell Linux Desktop 9 for x86
Open Enterprise Server
  • pcre >= 4.4-109.10
  • pcre-devel >= 4.4-109.10
Builds
YOU Patch Nr: 11993
Novell Linux Desktop 9 for x86_64
  • pcre >= 4.4-109.10
  • pcre-32bit >= 9-200711192343
  • pcre-devel >= 4.4-109.10
Builds
YOU Patch Nr: 11993
SUSE LINUX 10.1
  • apache2-mod_php5 >= 5.1.2-29.50
  • php5 >= 5.1.2-29.50
  • php5-bcmath >= 5.1.2-29.50
  • php5-bz2 >= 5.1.2-29.50
  • php5-calendar >= 5.1.2-29.50
  • php5-ctype >= 5.1.2-29.50
  • php5-curl >= 5.1.2-29.50
  • php5-dba >= 5.1.2-29.50
  • php5-dbase >= 5.1.2-29.50
  • php5-devel >= 5.1.2-29.50
  • php5-dom >= 5.1.2-29.50
  • php5-exif >= 5.1.2-29.50
  • php5-fastcgi >= 5.1.2-29.50
  • php5-filepro >= 5.1.2-29.50
  • php5-ftp >= 5.1.2-29.50
  • php5-gd >= 5.1.2-29.50
  • php5-gettext >= 5.1.2-29.50
  • php5-gmp >= 5.1.2-29.50
  • php5-iconv >= 5.1.2-29.50
  • php5-imap >= 5.1.2-29.50
  • php5-ldap >= 5.1.2-29.50
  • php5-mbstring >= 5.1.2-29.50
  • php5-mcrypt >= 5.1.2-29.50
  • php5-mhash >= 5.1.2-29.50
  • php5-mysql >= 5.1.2-29.50
  • php5-mysqli >= 5.1.2-29.50
  • php5-ncurses >= 5.1.2-29.50
  • php5-odbc >= 5.1.2-29.50
  • php5-openssl >= 5.1.2-29.50
  • php5-pcntl >= 5.1.2-29.50
  • php5-pdo >= 5.1.2-29.50
  • php5-pdo_mysql >= 5.1.2-29.50
  • php5-pdo_pgsql >= 5.1.2-29.50
  • php5-pdo_sqlite >= 5.1.2-29.50
  • php5-pear >= 5.1.2-29.50
  • php5-pgsql >= 5.1.2-29.50
  • php5-posix >= 5.1.2-29.50
  • php5-pspell >= 5.1.2-29.50
  • php5-shmop >= 5.1.2-29.50
  • php5-snmp >= 5.1.2-29.50
  • php5-soap >= 5.1.2-29.50
  • php5-sockets >= 5.1.2-29.50
  • php5-sqlite >= 5.1.2-29.50
  • php5-sysvmsg >= 5.1.2-29.50
  • php5-sysvsem >= 5.1.2-29.50
  • php5-sysvshm >= 5.1.2-29.50
  • php5-tidy >= 5.1.2-29.50
  • php5-tokenizer >= 5.1.2-29.50
  • php5-wddx >= 5.1.2-29.50
  • php5-xmlreader >= 5.1.2-29.50
  • php5-xmlrpc >= 5.1.2-29.50
  • php5-xmlwriter >= 5.1.2-29.50
  • php5-xsl >= 5.1.2-29.50
  • php5-zlib >= 5.1.2-29.50
SUSE LINUX 10.0
  • pcre >= 6.2-2.4
  • pcre-32bit >= 6.2-2.4
  • pcre-64bit >= 6.2-2.4
  • pcre-devel >= 6.2-2.4
SUSE LINUX 10.1
  • pcre >= 6.4-14.9
  • pcre-32bit >= 6.4-14.9
  • pcre-64bit >= 6.4-14.9
  • pcre-devel >= 6.4-14.9
Novell Linux Desktop 9 SDK for x86
  • mod_php4-core >= 4.3.4-43.85
  • php4 >= 4.3.4-43.85
  • php4-bcmath >= 4.3.4-43.85
  • php4-bz2 >= 4.3.4-43.85
  • php4-calendar >= 4.3.4-43.85
  • php4-ctype >= 4.3.4-43.85
  • php4-curl >= 4.3.4-43.85
  • php4-dba >= 4.3.4-43.85
  • php4-dbase >= 4.3.4-43.85
  • php4-devel >= 4.3.4-43.85
  • php4-domxml >= 4.3.4-43.85
  • php4-exif >= 4.3.4-43.85
  • php4-fastcgi >= 4.3.4-43.85
  • php4-filepro >= 4.3.4-43.85
  • php4-ftp >= 4.3.4-43.85
  • php4-gd >= 4.3.4-43.85
  • php4-gettext >= 4.3.4-43.85
  • php4-gmp >= 4.3.4-43.85
  • php4-iconv >= 4.3.4-43.85
  • php4-imap >= 4.3.4-43.85
  • php4-ldap >= 4.3.4-43.85
  • php4-mbstring >= 4.3.4-43.85
  • php4-mcal >= 4.3.4-43.85
  • php4-mcrypt >= 4.3.4-43.85
  • php4-mhash >= 4.3.4-43.85
  • php4-mime_magic >= 4.3.4-43.85
  • php4-mysql >= 4.3.4-43.85
  • php4-pear >= 4.3.4-43.85
  • php4-pgsql >= 4.3.4-43.85
  • php4-qtdom >= 4.3.4-43.85
  • php4-readline >= 4.3.4-43.85
  • php4-recode >= 4.3.4-43.85
  • php4-servlet >= 4.3.4-43.85
  • php4-session >= 4.3.4-43.85
  • php4-shmop >= 4.3.4-43.85
  • php4-snmp >= 4.3.4-43.85
  • php4-sockets >= 4.3.4-43.85
  • php4-swf >= 4.3.4-43.85
  • php4-sysvsem >= 4.3.4-43.85
  • php4-sysvshm >= 4.3.4-43.85
  • php4-unixODBC >= 4.3.4-43.85
  • php4-wddx >= 4.3.4-43.85
  • php4-xslt >= 4.3.4-43.85
  • php4-yp >= 4.3.4-43.85
  • php4-zlib >= 4.3.4-43.85
Builds
YOU Patch Nr: 12049
Novell Linux Desktop 9 SDK for x86_64
  • mod_php4-core >= 4.3.4-43.85
  • php4 >= 4.3.4-43.85
  • php4-bcmath >= 4.3.4-43.85
  • php4-bz2 >= 4.3.4-43.85
  • php4-calendar >= 4.3.4-43.85
  • php4-ctype >= 4.3.4-43.85
  • php4-curl >= 4.3.4-43.85
  • php4-dba >= 4.3.4-43.85
  • php4-dbase >= 4.3.4-43.85
  • php4-devel >= 4.3.4-43.85
  • php4-domxml >= 4.3.4-43.85
  • php4-exif >= 4.3.4-43.85
  • php4-fastcgi >= 4.3.4-43.85
  • php4-filepro >= 4.3.4-43.85
  • php4-ftp >= 4.3.4-43.85
  • php4-gd >= 4.3.4-43.85
  • php4-gettext >= 4.3.4-43.85
  • php4-gmp >= 4.3.4-43.85
  • php4-imap >= 4.3.4-43.85
  • php4-ldap >= 4.3.4-43.85
  • php4-mbstring >= 4.3.4-43.85
  • php4-mcal >= 4.3.4-43.85
  • php4-mcrypt >= 4.3.4-43.85
  • php4-mhash >= 4.3.4-43.85
  • php4-mime_magic >= 4.3.4-43.85
  • php4-mysql >= 4.3.4-43.85
  • php4-pear >= 4.3.4-43.85
  • php4-pgsql >= 4.3.4-43.85
  • php4-qtdom >= 4.3.4-43.85
  • php4-readline >= 4.3.4-43.85
  • php4-recode >= 4.3.4-43.85
  • php4-servlet >= 4.3.4-43.85
  • php4-session >= 4.3.4-43.85
  • php4-shmop >= 4.3.4-43.85
  • php4-snmp >= 4.3.4-43.85
  • php4-sockets >= 4.3.4-43.85
  • php4-sysvsem >= 4.3.4-43.85
  • php4-sysvshm >= 4.3.4-43.85
  • php4-unixODBC >= 4.3.4-43.85
  • php4-wddx >= 4.3.4-43.85
  • php4-xslt >= 4.3.4-43.85
  • php4-yp >= 4.3.4-43.85
  • php4-zlib >= 4.3.4-43.85
Builds
YOU Patch Nr: 12049
Open Enterprise Server
  • apache-mod_php4 >= 4.3.4-43.85
  • apache2-mod_php4 >= 4.3.4-43.85
  • mod_php4 >= 4.3.4-43.85
  • mod_php4-apache2 >= 4.3.4-43.85
  • mod_php4-core >= 4.3.4-43.85
  • mod_php4-servlet >= 4.3.4-43.85
  • php4 >= 4.3.4-43.85
  • php4-bcmath >= 4.3.4-43.85
  • php4-bz2 >= 4.3.4-43.85
  • php4-calendar >= 4.3.4-43.85
  • php4-ctype >= 4.3.4-43.85
  • php4-curl >= 4.3.4-43.85
  • php4-dba >= 4.3.4-43.85
  • php4-dbase >= 4.3.4-43.85
  • php4-devel >= 4.3.4-43.85
  • php4-domxml >= 4.3.4-43.85
  • php4-exif >= 4.3.4-43.85
  • php4-fastcgi >= 4.3.4-43.85
  • php4-filepro >= 4.3.4-43.85
  • php4-ftp >= 4.3.4-43.85
  • php4-gd >= 4.3.4-43.85
  • php4-gettext >= 4.3.4-43.85
  • php4-gmp >= 4.3.4-43.85
  • php4-iconv >= 4.3.4-43.85
  • php4-imap >= 4.3.4-43.85
  • php4-ldap >= 4.3.4-43.85
  • php4-mbstring >= 4.3.4-43.85
  • php4-mcal >= 4.3.4-43.85
  • php4-mcrypt >= 4.3.4-43.85
  • php4-mhash >= 4.3.4-43.85
  • php4-mime_magic >= 4.3.4-43.85
  • php4-mysql >= 4.3.4-43.85
  • php4-pear >= 4.3.4-43.85
  • php4-pgsql >= 4.3.4-43.85
  • php4-qtdom >= 4.3.4-43.85
  • php4-readline >= 4.3.4-43.85
  • php4-recode >= 4.3.4-43.85
  • php4-servlet >= 4.3.4-43.85
  • php4-session >= 4.3.4-43.85
  • php4-shmop >= 4.3.4-43.85
  • php4-snmp >= 4.3.4-43.85
  • php4-sockets >= 4.3.4-43.85
  • php4-swf >= 4.3.4-43.85
  • php4-sysvsem >= 4.3.4-43.85
  • php4-sysvshm >= 4.3.4-43.85
  • php4-unixODBC >= 4.3.4-43.85
  • php4-wddx >= 4.3.4-43.85
  • php4-xslt >= 4.3.4-43.85
  • php4-yp >= 4.3.4-43.85
  • php4-zlib >= 4.3.4-43.85
Builds
YOU Patch Nr: 12049


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SLES-10-SP3 nmap Released
SLES-10-SP4 nmap Released
SLES_LTSS-10-SP4 nmap Released